Class | Hash::Ordered
In: | iconv/charset_alias.rb
Parent: | Hash

### Methods

[] []= each sort

### Public Instance methods

[](key)

[Source]

    # File iconv/charset_alias.rb, line 12
      def [](key)
        val = super and val.last
      end

[]=(key, val)

[Source]

    # File iconv/charset_alias.rb, line 15
      def []=(key, val)
        ary = fetch(key) {return super(key, [self.size, key, val])} and
          ary << val
      end

each(&block)

[Source]

    # File iconv/charset_alias.rb, line 22
      def each(&block)
        sort.each(&block)
      end

sort()

[Source]

    # File iconv/charset_alias.rb, line 19
      def sort
        values.sort.collect {|i, *rest| rest}
      end

[Validate]